PMEMLOG_NBYTE(3)

NAME

pmemlog_nbyte() - checks the amount of usable space in the log pool.

SYNOPSIS

    #include <libpmemlog.h>

    size_t pmemlog_nbyte(PMEMlogpool *plp);

DESCRIPTION

The pmemlog_nbyte() function checks the amount of usable space in the log plp. This function may be used on a log to determine how much usable space is available after libpmemlog(7) has added its metadata to the memory pool.

RETURN VALUE

The pmemlog_nbyte() function returns the amount of usable space in the log plp.

SEE ALSO

libpmemlog(7) and <http://pmem.io>